SmartCallMonitor logo

SmartCallMonitorv2.0

Phone Monitoring Freeware

CompatibleWithWindows10 CompatibleWithWindows8 CompatibleWithWindows7

Compatible with

Supported Operating Systems

  • Windows 10
  • Windows 8.1
  • Windows Vista / 7 / 8
  • Windows Server 2012 R2
  • Windows Server 2008 - 2012

(32 and 64 Bit)

.NET 4.5 will be required and may be installed during setup.

System requirements and Infrastructure requirements:

  • TAPI enabled devices or NCID (Network Caller ID) server.
  • Optional: Microsoft Outlook XP / 2003 / 2007 / 2010 (only 32 Bit)

Quicklinks to Help & FAQ